Bug 598794 - Enable parametrization of sadc arguments
Enable parametrization of sadc arguments
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
5.5
All All
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
:
: 586217 (view as bug list)
Depends On:
Blocks: 661724 690400
  Show dependency treegraph
 
Reported: 2010-06-01 23:45 EDT by Kevin Graham
Modified: 2011-07-21 06:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, there was no easy way to enable collection of statistics about disks and interrupts. Now, the SADC_OPTIONS variable can be used to set parameters for the sads utility, fixing this bug.
Story Points: ---
Clone Of:
: 661724 690400 (view as bug list)
Environment:
Last Closed: 2011-07-21 06:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to warn disk stats will not be gathered (557 bytes, patch)
2010-08-12 12:44 EDT, Martin Poole
no flags Details | Diff
patch to source /etc/sysconfig/sysstat in sa1 & init script (1.57 KB, patch)
2010-08-12 12:58 EDT, Martin Poole
no flags Details | Diff

  None (edit)
Description Kevin Graham 2010-06-01 23:45:15 EDT
Using the stock sysstat, the only apparent way to enable collection of disk and interrupt statistics is to either squeeze it into the command line in cron.d/sysstat and/or not using the stock scripts at all.

There's plenty of ways to solve this, but the quickest and lowest impact presumably would be for sa1 to pick up an 'SADC_OPTIONS' value from /etc/sysconfig/sysstat (which sa2 is already using), ie:

shell1:/ $ diff /usr/lib64/sa/sa1.orig /usr/lib64/sa/sa1
4a5
> [ -r /etc/sysconfig/sysstat ] && . /etc/sysconfig/sysstat
13c14
<       exec ${ENDIR}/sadc -F -L 1 1 -
---
>       exec ${ENDIR}/sadc -F -L ${SADC_OPTIONS} 1 1 -
15c16
<       exec ${ENDIR}/sadc -F -L $* -
---
>       exec ${ENDIR}/sadc -F -L ${SADC_OPTIONS} $* -
shell1:/ $
Comment 1 Martin Poole 2010-08-12 12:32:48 EDT
The sourcing /etc/sysconfig/sysstat should also be performed in /etc/rc.d/init.d/sysstat
Comment 2 Martin Poole 2010-08-12 12:43:15 EDT
sadc, which is the underlying data gather command, only pays attention to the -d flag if creating a new file, and not when updating an existing file or rotating an old file to start the next day's file (see comments in /usr/lib/sa/sa1)

since a system administrator might not realise this is the case and expected simply changing the config file to alter behaviour it would be sensible to emit a warning if the disk stats flag is set when the data files are not going to honour it.
Comment 3 Martin Poole 2010-08-12 12:44:29 EDT
Created attachment 438481 [details]
patch to warn disk stats will not be gathered
Comment 4 Martin Poole 2010-08-12 12:58:05 EDT
Created attachment 438485 [details]
patch to source /etc/sysconfig/sysstat in sa1 & init script
Comment 7 RHEL Product and Program Management 2011-01-11 15:00:20 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2011-01-12 10:12:53 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 9 Ivana Varekova 2011-01-24 02:02:50 EST
*** Bug 586217 has been marked as a duplicate of this bug. ***
Comment 11 Branislav Náter 2011-05-27 07:48:39 EDT
Bugfix was verified on sysstat-7.0.2-8.el5 package on all supported architectures.

It's now possible to set sadc parameters using SADC_OPTIONS variable in /etc/sysconfig/sysstat file.
Comment 12 Tomas Capek 2011-06-29 04:30:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, there was no easy way to enable collection of statistics about disks and interrupts. Now, the SADC_OPTIONS variable can be used to set parameters for the sads utility, fixing this bug.
Comment 13 errata-xmlrpc 2011-07-21 06:42:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1005.html

Note You need to log in before you can comment on or make changes to this bug.